Перейти к содержимому

Organization snapshots

Snapshots of the subscriptions of organizations, for reporting

The organization snapshot object

Attributes

iduuid

Unique identifier

organization_iduuid

Identifier of the related organization

created_atread-onlytimestamp with time zone

Creation timestamp

activeboolean

Whether the organization was active

number_of_paid_multi_unit_sitesint32

Number of paid catalog sites

number_of_paid_single_unit_sitesint32

Number of paid single-unit sites

number_of_productsint32

Number of units

periodSubscriptionPeriod

Billing period of the subscription

pricing_versionOrganizationPricingVersion

Version of Bookingmood's pricing that applied to the organization

subscription_typeSubscriptionType

How the subscription was paid

tierTier

Subscription tier of the organization

The organization snapshot object
JSON
{
  "id": "00000000-0000-0000-0000-000000000000",
  "organization_id": "00000000-0000-0000-0000-000000000000",
  "created_at": "2026-11-22T22:16:29.144Z",
  "active": false,
  "number_of_paid_multi_unit_sites": 0,
  "number_of_paid_single_unit_sites": 0,
  "number_of_products": 0,
  "period": "monthly",
  "pricing_version": "V1",
  "subscription_type": "duda",
  "tier": "free"
}

List organization snapshots

Requiresorganization:read

Filters

idFilter<uuid>

Unique identifier

organization_idFilter<uuid>

Identifier of the related organization

created_atFilter<timestamp with time zone>

Creation timestamp

activeFilter<boolean>

Whether the organization was active

number_of_paid_multi_unit_sitesFilter<int32>

Number of paid catalog sites

number_of_paid_single_unit_sitesFilter<int32>

Number of paid single-unit sites

number_of_productsFilter<int32>

Number of units

periodFilter<SubscriptionPeriod>

Billing period of the subscription

pricing_versionFilter<OrganizationPricingVersion>

Version of Bookingmood's pricing that applied to the organization

subscription_typeFilter<SubscriptionType>

How the subscription was paid

tierFilter<Tier>

Subscription tier of the organization

Responses

200

A list of organization snapshots with the selected columns

206

Partial Content

400

The request is malformed, for example an unknown column or an invalid filter.

401

The API key is missing or invalid.

403

The API key or access token doesn't have the scope this request needs.

429

The API key made more requests per minute than its rate limit allows. Retry after the number of seconds in the `Retry-After` header.

Error responses have a JSON body with a code, message, details and hint. See the introduction for more on errors.
GET/organization_snapshots
curl "https://api.bookingmood.com/v1/organization_snapshots?select=*&limit=10" \
  -H "Authorization: Bearer YOUR_API_KEY"
Example
JSON
[
  {
    "id": "00000000-0000-0000-0000-000000000000",
    "organization_id": "00000000-0000-0000-0000-000000000000",
    "created_at": "2026-11-22T22:16:29.144Z",
    "active": false,
    "number_of_paid_multi_unit_sites": 0,
    "number_of_paid_single_unit_sites": 0,
    "number_of_products": 0,
    "period": "monthly",
    "pricing_version": "V1",
    "subscription_type": "duda",
    "tier": "free"
  }
]